package com.elitesland.common.rpc.demo;

import com.elitesland.common.dto.user.DemoUserDTO;
import com.elitesland.core.base.ApiResult;

/**
 * <p>
 * 功能说明
 *   Demo服务调用Product服务
 * </p >
 *
 * @author Roman.Zhang
 * @date 2021/1/30
 */
public interface DemoRpcUserService {

    /**
     * demo服务调用User服务，用于演示测试
     * @param demoUserDTO 用户信息
     * @return
     */
    ApiResult<Object> getUser(DemoUserDTO demoUserDTO);
}
